package com.realnet.angulardatatype.Services;
import com.realnet.angulardatatype.Repository.VallistRepository;
import com.realnet.angulardatatype.Entity.Vallist
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class VallistService {
@Autowired
private VallistRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Vallist Savedata(Vallist data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Vallist save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Vallist> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Vallist> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Vallist> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Vallist getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Vallist update(Vallist data,Integer id) {
	Vallist old = Repository.findById(id).get();
old.setNameb(data.getNameb());



final Vallist test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
